cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/studio/files" \
--header "xi-api-key: $BREEZE_API_KEY"from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.files.list()import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.files.list();{
"items": [
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"revision": 123,
"status": "uploading",
"frames": 123,
"sample_rate": 123,
"size_bytes": 123,
"error_code": "<string>",
"error_reason": "<string>",
"error_message": "<string>",
"references": 123
}
],
"next_offset": 123
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Studio
List files
List audio files by name. Without project_id, only personal files not scoped to a project are listed.
GET
/
v1
/
studio
/
files
cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/studio/files" \
--header "xi-api-key: $BREEZE_API_KEY"from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.files.list()import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.files.list();{
"items": [
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"revision": 123,
"status": "uploading",
"frames": 123,
"sample_rate": 123,
"size_bytes": 123,
"error_code": "<string>",
"error_reason": "<string>",
"error_message": "<string>",
"references": 123
}
],
"next_offset": 123
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Arrange background audio
Upload files and place them on tracks.
Create an instance
Place a ready file on a track.
Studio CLI
Run the same operations from a terminal.
Authorizations
Breeze Developer API key.
Query Parameters
List files scoped to this project.
Case-insensitive match on file name.
Maximum string length:
200Number of files to skip. Use next_offset from the previous page.
Required range:
0 <= x <= 10000Files per page, up to 500.
Required range:
1 <= x <= 500
